Package org.eclipse.graphiti.ui.internal.util.draw2d

## Class LineSeg.KeyPoint

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.draw2d.LineSeg.KeyPoint

Enclosing class:
  LineSeg

    public static class LineSeg.KeyPoint
    extends java.lang.Object

Enumeration class for defining the keypoint along a line segment. Can be one of `ORIGIN`, `MIDPOINT` or `TERMINUS`.

### Field Summary

Fields
`static LineSeg.KeyPoint` `MIDPOINT` Constant designating the mid point on the line segment.
`static LineSeg.KeyPoint` `ORIGIN` Constant designating the origin point on the line segment.
`static LineSeg.KeyPoint` `TERMINUS` Constant designating the terminal point on the line segment.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ORIGIN

    public static final LineSeg.KeyPoint ORIGIN

Constant designating the origin point on the line segment.

#### MIDPOINT

    public static final LineSeg.KeyPoint MIDPOINT

Constant designating the mid point on the line segment.

#### TERMINUS

    public static final LineSeg.KeyPoint TERMINUS

Constant designating the terminal point on the line segment.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`